# PerfectScale data collected

In order to provide service, PerfectScale collects the following data:

1. cAdvisor metrics:<br>

   ```yaml
   container_cpu_cfs_periods_total
   container_cpu_cfs_throttled_periods_total
   container_cpu_usage_seconds_total
   container_memory_working_set_bytes
   container_network_receive_bytes_total
   container_network_transmit_bytes_total

   ```
2. kube-state-metrics metrics:<br>

   ```
   kube_pod_labels
   kube_pod_annotations
   kube_pod_info
   kube_pod_container_status_running
   kube_pod_container_status_terminated
   kube_pod_container_status_terminated_reason
   kube_pod_container_status_last_terminated_reason
   kube_pod_container_resource_requests
   kube_pod_container_resource_limits
   kube_pod_container_status_restarts_total
   kube_pod_start_time
   kube_pod_completion_time
   kube_node_info
   kube_node_status_capacity
   kube_node_status_allocatable
   kube_node_status_condition
   kube_node_labels
   kube_pod_status_phase
   kube_job_owner
   kube_replicaset_owner
   kube_horizontalpodautoscaler_info
   kube_horizontalpodautoscaler_labels
   kube_horizontalpodautoscaler_spec_target_metric
   kube_horizontalpodautoscaler_spec_min_replicas
   kube_horizontalpodautoscaler_spec_max_replicas
   kube_horizontalpodautoscaler_status_desired_replicas
   kube_horizontalpodautoscaler_status_current_replicas
   kube_pod_container_info
   kube_namespace_labels
   kube_pod_status_reason
   kube_job_status_failed
   ```
3. The data about containers’ spec (original) resources (spec CPU\&Memory Requests\&Limits) from `kubeapiserver`.
4. container-jvm metrics collected from coroot-node-agent:<br>

   ```
   container_jvm_heap_used_bytes
   container_jvm_heap_size_bytes
   container_jvm_gc_time_seconds
   container_jvm_info with labels extended with java VM.flags values
   ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.perfectscale.io/product-overview/perfectscale-data-collected.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
